Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm.tools
Interface SuffixTreeKernel.DepthScaler

All Known Implementing Classes:
  SuffixTreeKernel.MultipleScalar, SuffixTreeKernel.NullModelScaler, SuffixTreeKernel.SelectionScalar, SuffixTreeKernel.UniformScaler

Enclosing class:
  SuffixTreeKernel

    public static interface SuffixTreeKernel.DepthScaler

Encapsulates the scale factor to apply at a given depth.

Author:
  Matthew Pocock

Method Summary
`double` | `getScale(int depth)` Retrieve the scaling factor at a given depth

Method Detail

### getScale

    double getScale(int depth)

  Retrieve the scaling factor at a given depth

  Parameters:
    `depth` - word length
  Returns:
    the scaling factor for the subspace at that length

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD